Datasets
Get a dataset's full field catalog
GET
/
datasets
/
{name}
Get a dataset's full field catalog
curl --request GET \
--url https://api.sandbox.flowpayroll.ai/v1/report/datasets/{name} \
--header 'X-Auth-Token: <api-key>' \
--header 'X-Org-Id: <api-key>'import requests
url = "https://api.sandbox.flowpayroll.ai/v1/report/datasets/{name}"
headers = {
"X-Auth-Token": "<api-key>",
"X-Org-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>', 'X-Org-Id': '<api-key>'}};
fetch('https://api.sandbox.flowpayroll.ai/v1/report/datasets/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"fields": [
{
"name": "<string>",
"type": "<string>",
"filterable": true,
"groupable": true,
"aggregatable": [],
"sensitive": true
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
FlowPayroll JWT (raw token, no Bearer prefix)
Organisation to scope the request to. Required when the principal can access more than one organisation; optional for single-organisation principals (the authorizer resolves it automatically).
Path Parameters
Was this page helpful?
⌘I
Get a dataset's full field catalog
